Page MenuHomePhabricator

Hide "show in all languages" link in absence of CSR
Closed, ResolvedPublic3 Story Points

Description

As a user without enabled JS I want to be presented only with interactive user interface elements that suggest an interactive nature (links, buttons) which actually do have an implemented behavior in the server side so that a consistent browsing experience is achieved and I am not frustrated by a lack of feature.

AC

  • the "show in all languages" link and section is not visible in absence of CSR

Note

  • the "show in all languages" link is available in CSR via T205261
  • this is to be done after T211865
  • this can/will be reconsidered once link/section toggle state can be taken into account by mw/wb view rendering

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 17 2019, 3:27 PM
Pablo-WMDE updated the task description. (Show Details)Jan 17 2019, 3:36 PM
Lea_WMDE set the point value for this task to 3.Jan 30 2019, 3:17 PM
Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-8 board.

Change 487502 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Hide "all entered languages" section and button on the server side

https://gerrit.wikimedia.org/r/487502

Change 487502 merged by jenkins-bot:
[wikibase/termbox@master] Hide "all entered languages" section and button on the server side

https://gerrit.wikimedia.org/r/487502

Change 488018 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] termbox: update to latest

https://gerrit.wikimedia.org/r/488018

Change 488018 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] termbox: update to latest

https://gerrit.wikimedia.org/r/488018

Jakob_WMDE removed Jakob_WMDE as the assignee of this task.Feb 5 2019, 1:04 PM
Jakob_WMDE added a subscriber: Jakob_WMDE.
Lea_WMDE closed this task as Resolved.Feb 8 2019, 10:17 AM
Lea_WMDE claimed this task.